読者です 読者をやめる 読者になる 読者になる

Coda 2.5.1でEmmetが使えるようになったので備忘録

以前Twitterで喚いてた問題が解決されたので備忘録を。

Mac OS X Yosemiteにした途端 Coda2 が立ち上がらずにクラッシュする問題が発生し、
それを回避するためにCoda2.5にアップデートしました。
(App storeからはインストールできないらしいですね、インストールはこちらからどうぞ)


クラッシュする問題は解決されて、いつも通り開発しようとして
「html:5」=> Tab Tab ... Tab Tab Tab Tab Tab Tab T(ry
変換されない!!!!!!??!?

なんでや!どうしたEmmet!!!!!
メニューバーのプラグインの欄を確認してみるとEmmetが表示されてない
おかしいと思ってPlug-inフォルダを確認するとEmmetが認識されてない…だと?
(/Users/user/Library/Application Support/Coda 2/Plug-ins)

ググるとCoda2.5ではEmmetがサポートされていないらしい…

「これじゃ開発できねえじゃねか!こりゃ参った!!」

仕方がないので暫くの間はEmmetなしの生活を送っていました…が!!!
ついにEmmetがサポートされたようです!!!!!

で、前にCoffeescriptのインストールについて記事を書いたときに
「僕にもそれくださいいい」って泣きついてきた人がいたので、もう全部公開しちゃおう

なにかおすすめのプラグインがあれば教えてほしいなーなーなー

Plug-in
(Coda2.5から使えるEmmet/Coffeescript/Sass)

Modes
(Coffeescript.mode/HAML.mode/jQuery.mode/jQuery.clips)

Styles
(チョコレートみたいな雰囲気のカラーリングにしてくれる(シャチョさんの力作))